Last Comment Bug 1311673 - ImageDocument::ImageResizingEnabled is unused
: ImageDocument::ImageResizingEnabled is unused
Status: RESOLVED FIXED
: addon-compat
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: mozilla52
Assigned To: Edgar Chen [:edgar]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-20 05:28 PDT by :Gijs (away until Feb 27)
Modified: 2016-11-05 13:58 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch, v1 (3.14 KB, patch)
2016-11-02 20:50 PDT, Edgar Chen [:edgar]
bugs: review+
Details | Diff | Splinter Review

Description User image :Gijs (away until Feb 27) 2016-10-20 05:28:57 PDT
https://dxr.mozilla.org/mozilla-central/search?q=imageresizingenabled

AFAICT it always returns true, but nobody actually calls either the XPIDL or webidl implementations anywhere, so we're just shipping dead stuff. I found exactly 1 add-on "using" this read-only prop:

https://addons.mozilla.org/en-US/firefox/addon/browse-images/ - but afaict that function gets called in exactly 1 circumstance, namely if the image width and height are both exactly 24 pixels. That seems like buggy code - I don't think that justifies keeping our dead bits around.
Comment 1 User image Hsin-Yi Tsai [:hsinyi] 2016-10-25 22:23:21 PDT
Edgar, this seems in your wheelhouse :)
Comment 2 User image Edgar Chen [:edgar] 2016-11-02 00:25:48 PDT
Hi Olli, I am willing to take this bug to remove ImageDocument.imageResizingEnabled, but it might cause add-on compatibility problems, although there seems only one add-on using this prop. How do we usually deal with this situation?
Comment 3 User image Olli Pettay [:smaug] 2016-11-02 05:39:36 PDT
jorge could answer to that.

Is the addon which is using this updated recently? Is it compatible with current FF release?
Comment 4 User image Olli Pettay [:smaug] 2016-11-02 05:43:54 PDT
I think you could also just contact the addon author and ask whether it is ok to remove the property.
Comment 5 User image Jorge Villalobos [:jorgev] 2016-11-02 09:57:19 PDT
It's a very old add-on, probably abandoned. I'll include this in the compat communication, but the impact is minimal, so please go ahead with it.
Comment 6 User image Edgar Chen [:edgar] 2016-11-02 19:49:49 PDT
Thanks for the comments, Jorge and Olli.
Comment 7 User image Edgar Chen [:edgar] 2016-11-02 20:50:20 PDT
Created attachment 8807031 [details] [diff] [review]
Patch, v1
Comment 9 User image Pulsebot 2016-11-04 20:07:55 PDT
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/cb5e3d3e9596
Remove ImageDocument::ImageResizingEnabled. r=smaug
Comment 10 User image Phil Ringnalda (:philor) 2016-11-05 13:58:48 PDT
https://hg.mozilla.org/mozilla-central/rev/cb5e3d3e9596

Note You need to log in before you can comment on or make changes to this bug.